%define builtin_release_version 0.51
%define builtin_release_name Sagittarius
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}

Summary: Berry Linux Release File
Name: berry-release
Version: %{real_release_version}
Release: b1
Copyright: GPL
Group: System Environment/Base
#Source: berry-release-%{builtin_release_version}.tar.gz
#Nosource:
BuildArchitectures: noarch
#Obsoletes: rawhide-release
BuildRoot: %{_tmppath}/berry-release-root

%description
Berry Linux release file

%prep
#%setup -q -n berry-release-0.01
#%setup -q

%install
mkdir -p $RPM_BUILD_ROOT/etc
echo "Berry Linux release %{real_release_version} (%{real_release_name})" > $RPM_BUILD_ROOT/etc/berry-release
cp $RPM_BUILD_ROOT/etc/berry-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue
pushd $RPM_BUILD_ROOT/etc/
ln -s berry-release redhat-release
popd

%clean
rm -rf $RPM_BUILD_ROOT

# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- berry-release < %{builtin_release_version}-%{Release}
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/berry-release
#%doc R* 6.2 7.0 7.1 7.2 7.3
#%doc EULA GPL autorun-template
%config %attr(0644,root,root) /etc/issue
%config %attr(0644,root,root) /etc/issue.net
/etc/redhat-release


##
## change log
##

%changelog
* Tue Dec 7 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.51 Sagittarius
* Sat Nov 13 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.50 Monoceros
* Tue Oct 19 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.49 Andromeda
* Sat Sep 25 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.48 Taw
* Sun Sep 5 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.47 Shin
* Wed Jul 28 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.46 Rehsh
* Wed Jul 7 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.45 Qohph
* Wed Jun 23 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.44 Tsadheh
* Sat May 22 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.43 Pe
* Mon May 3 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.42 Ayin
* Sat Apr 17 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.41 Samekh
* Wed Apr 7 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.40 Nun
* Wed Mar 24 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.39 Mem
* Thu Mar 11 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.38 Lamedh
* Sat Feb 14 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.37 Kaph
* Tue Jan 27 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.36 Yohdh
* Mon Jan 19 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.35 Tehth
* Sat Jan 3 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.34 Chehth
* Sat Dec 13 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.33 Zayin
* Fri Nov 28 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.32 Waw
* Thu Nov 27 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.31 He
* Mon Nov 17 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.30 Daleth
* Fri Nov 7 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.29 Gimel
* Mon Oct 27 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.28 Behth
* Fri Oct 24 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.27 Aleph
* Tue Oct 7 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.26 Omega
* Sat Sep 27 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.25 Psi
* Wed Sep 24 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.24 Chi
* Sat Sep 13 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.23 Phi
* Mon Sep 8 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.22 Upsilon
* Mon Sep 1 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.21 Tau
* Fri Aug 22 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.20 Sigma
* Fri Aug 15 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.19 Rho
* Sat Aug 9 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.18 Pi
* Wed Jul 30 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.17 Omicron
* Fri Jul 25 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.16 Xi
* Fri Jul 18 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.15 Nu
* Sat Jul 12 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.14 Mu
* Mon Jul 7 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.13 Lambda
* Wed Jul 2 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.12 Kappa
* Wed Jun 25 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.11 Iota
* Mon Jun 16 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.10 Theta
* Wed Jun 4 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.09 Eta
* Thu May 27 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.08 Zeta
* Thu May 22 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.07 Epsilon
* Sun May 11 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.06 Delta
* Fri May 9 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.05 Gamma
* Mon Apr 28 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.04 Beta
* Mon Apr 24 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.03 Alpha
* Mon Apr 14 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to Berry Linux 0.02 Beta
* Tue Dec 24 2002 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
